--[[
Author: zkj
Date: 2021-05-31 11:12:16
LastEditTime: 2021-06-01 10:49:54
LastEditors: Please set LastEditors
Description: 游戏战斗服
--]]
local skynet = require "skynet"
require "skynet.manager"
local init_nodes = require("init_nodes")

skynet.start(
    function()
        -- 初始化控制台
        init_nodes:init_console()

        -- 日志
        init_nodes:init_logger()
        -- 数据库
        init_nodes:init_mysql()
        -- redis
        init_nodes:init_redis()
        -- 配置
        init_nodes:init_config()

        skynet.uniqueservice("srvBattleMgr")

        -- 集群
        init_nodes:init_cluster()

        skynet.send(".steward", "lua", "node_hb_to_master", "battlemaster")

        skynet.exit()
    end
)
