--[[
Author: zkj
Date: 2021-05-31 14:14:53
LastEditTime: 2021-06-01 11:00:59
LastEditors: Please set LastEditors
Description: battle agent 管理服务
--]]
local const = require "const.const"
local skynet = require "skynet"

local agentPool = require "agentPool"
local baseService = require("baseService")

local pool

local CMD = {}

function CMD.getBattleAgent()
    return pool:allocation()
end

-- from agent
function CMD.battleEnter(id, battleAgent)
    pool:bindAgent(id, battleAgent)
end

-- from agent
function CMD.battleLeave(id, battleAgent)
    pool:unbindAgent(id, battleAgent)
end

-- 玩家是否在战斗中
function CMD.is_user_in_battle(uid, battleId, battleAgent)
    if battleAgent == nil or not pool:getObj(battleAgent) then
        return false
    end
    local ok = skynet.call(battleAgent, "lua", "is_user_in_battle", uid, battleId)
    return ok
end

function CMD.onStart()
    pool = agentPool.new("srvBattle", const.INIT_AGENT_COUNT)
end

baseService.start(CMD, ".BattleMgr", true)
